Installation of libav-tools produces dpkg error

Bug #1315672 reported by apsaras on 2014-05-03
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
libav (Ubuntu)
Undecided
Unassigned
Trusty
Medium
Unassigned

Bug Description

I installed the package libav-tools using the command

sudo apt-get install libav-tools

This did install the package, but it produced a dpkg error on the way. The output is given below.
My system is a live CD of Xubuntu 14.04 with virtually no changes (so it's clean).

I don't know if the problem is with apt-get or with libav-tools.

Expected behaviour: apt-get install to complete with no dpkg reconfigure errors

Actual behaviour: apt-get install encountered dpkg reconfigure errors

xubuntu@xubuntu:~$ lsb_release -rd
Description: Ubuntu 14.04 LTS
Release: 14.04

xubuntu@xubuntu:~$ apt-cache policy apt
apt:
  Installed: 1.0.1ubuntu2
  Candidate: 1.0.1ubuntu2
  Version table:
 *** 1.0.1ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

xubuntu@xubuntu:~$ apt-cache policy libav-tools
libav-tools:
  Installed: 6:9.11-2ubuntu2
  Candidate: 6:9.11-2ubuntu2
  Version table:
 *** 6:9.11-2ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
        100 /var/lib/dpkg/status

xubuntu@xubuntu:~$ sudo apt-get install libav-tools
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libavdevice53 libavfilter3 libavresample1 libdc1394-22 libswscale2
Suggested packages:
  frei0r-plugins
The following NEW packages will be installed:
  libav-tools libavdevice53 libavfilter3 libavresample1 libdc1394-22 libswscale2
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 3,629 kB of archives.
After this operation, 10.8 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://archive.ubuntu.com/ubuntu/ trusty/universe libdc1394-22 amd64 2.2.1-2ubuntu2 [75.0 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty/universe libavdevice53 amd64 6:9.11-2ubuntu2 [32.2 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty/universe libavresample1 amd64 6:9.11-2ubuntu2 [39.2 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty/universe libswscale2 amd64 6:9.11-2ubuntu2 [81.6 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ trusty/universe libavfilter3 amd64 6:9.11-2ubuntu2 [93.7 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty/universe libav-tools amd64 6:9.11-2ubuntu2 [3,308 kB]
Fetched 3,629 kB in 9s (370 kB/s)
Selecting previously unselected package libdc1394-22:amd64.
(Reading database ... 168818 files and directories currently installed.)
Preparing to unpack .../libdc1394-22_2.2.1-2ubuntu2_amd64.deb ...
Unpacking libdc1394-22:amd64 (2.2.1-2ubuntu2) ...
Selecting previously unselected package libavdevice53:amd64.
Preparing to unpack .../libavdevice53_6%3a9.11-2ubuntu2_amd64.deb ...
Unpacking libavdevice53:amd64 (6:9.11-2ubuntu2) ...
Selecting previously unselected package libavresample1:amd64.
Preparing to unpack .../libavresample1_6%3a9.11-2ubuntu2_amd64.deb ...
Unpacking libavresample1:amd64 (6:9.11-2ubuntu2) ...
Selecting previously unselected package libswscale2:amd64.
Preparing to unpack .../libswscale2_6%3a9.11-2ubuntu2_amd64.deb ...
Unpacking libswscale2:amd64 (6:9.11-2ubuntu2) ...
Selecting previously unselected package libavfilter3:amd64.
Preparing to unpack .../libavfilter3_6%3a9.11-2ubuntu2_amd64.deb ...
Unpacking libavfilter3:amd64 (6:9.11-2ubuntu2) ...
Selecting previously unselected package libav-tools.
Preparing to unpack .../libav-tools_6%3a9.11-2ubuntu2_amd64.deb ...
dpkg: error: --compare-versions takes three arguments: <version> <relation> <version>

Type dpkg --help for help about installing and deinstalling packages [*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through 'less' or 'more' !
Unpacking libav-tools (6:9.11-2ubuntu2) ...
Processing triggers for man-db (2.6.7.1-1) ...
Setting up libdc1394-22:amd64 (2.2.1-2ubuntu2) ...
Setting up libavdevice53:amd64 (6:9.11-2ubuntu2) ...
Setting up libavresample1:amd64 (6:9.11-2ubuntu2) ...
Setting up libswscale2:amd64 (6:9.11-2ubuntu2) ...
Setting up libavfilter3:amd64 (6:9.11-2ubuntu2) ...
Setting up libav-tools (6:9.11-2ubuntu2) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...

xubuntu@xubuntu:~$ avconv -version
avconv version 9.11-6:9.11-2ubuntu2, Copyright (c) 2000-2013 the Libav developers
  built on Mar 24 2014 06:12:33 with gcc 4.8 (Ubuntu 4.8.2-17ubuntu1)
avconv 9.11-6:9.11-2ubuntu2
libavutil 52. 3. 0 / 52. 3. 0
libavcodec 54. 35. 0 / 54. 35. 0
libavformat 54. 20. 3 / 54. 20. 3
libavdevice 53. 2. 0 / 53. 2. 0
libavfilter 3. 3. 0 / 3. 3. 0
libavresample 1. 0. 1 / 1. 0. 1
libswscale 2. 1. 1 / 2. 1. 1

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: libav-tools 6:9.11-2ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CasperVersion: 1.340
CurrentDesktop: XFCE
Date: Sat May 3 14:13:08 2014
LiveMediaBuild: Xubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140416.2)
SourcePackage: libav
UpgradeStatus: No upgrade log present (probably fresh install)

apsaras (c-launchpad1) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libav - 6:9.13-0ubuntu0.14.04.1

---------------
libav (6:9.13-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Merge from unstable, remaining changes:
    - build-depend on libtiff5-dev rather than libtiff4-dev,
      avoids FTBFS caused by imlib
  * New upstream release 9.13:
    - Many security fixes issues LP: #1277173
    - swscale: Fix an undefined behaviour
    - matroska: add the Opus mapping
    - mp3enc: Properly write bitrate value in XING header (Closes: #736088)
    - origin/pu/9 oggdec: add support for Opus in Ogg demuxing
      (Fixes: libav/603, Closes: #720563)
    - apedec: do not buffer decoded samples over AVPackets (Closes: #744901)
    - isom: lpcm in mov default to big endian
    - movdec: handle 0x7fff langcode as macintosh per the specs
    - h264: reset next_output_pic earlier in start_frame()
      (Fixes: libav/672, Closes: #741240, LP: #1288206)
    - rtmpproto: Make sure to pass on the error code if read_connect failed
    - lavr: allocate the resampling buffer with a positive size
    - tiffdec: use bytestream2 to simplify overread/overwrite protection
    - resample: fix avresample_get_delay() return value
    - avi: Improve non-interleaved detection (Fixes: libav/666)
    - af_channelmap: fix ONE_STR mapping mode
    - movenc: allow override of "writing application" tag
    - matroskaenc: allow override of "writing application" tag
    - avfilter: Add missing emms_c when needed
    - build: Use pkg-config for openjpeg (Fixes: libav/387)
    - mpeg12: check scantable indices in all decode_block functions
    - sgidec: fix buffer size check in expand_rle_row()
    - adx: check that the offset is not negative
    - mpegvideo: set reference/pict_type on generated reference frames
    - h264: Fix various crashes found in samples pointed by Mateusz
    "j00ru" Jurczyk and Gynvael Coldwind - Thanks!
  * Rebuild is reported to fix vaapi, Closes: #745655
  * Fix invocation of dpkg-maintscript helper, LP: #1315672
  * cleanup leftovers of the former libav-source package
  * Simplify listing packages with dh_listpackage
  * Drop transitional arch:all -extra- packages
  * Bump standards version to 3.9.5, no changes needed

libav (6:9.11-4) unstable; urgency=medium

  * Imported Upstream version 9.11
    - bumped severity because of many security relevant changes
    - update freetype header detection

libav (6:9.11-3) unstable; urgency=low

  * Add upstream patch to enable PIC on s390(x), Closes: #726733

libav (6:9.11-2ubuntu3) utopic; urgency=high

  * No change rebuild against librtmp1.
 -- Reinhard Tartler <email address hidden> Sun, 04 May 2014 16:11:03 -0400

Changed in libav (Ubuntu):
status: New → Fix Released
jbaron (john-baron) wrote :

6:9.13 did not fix the problem wiht the dpkg error.

sudo apt-get install libav-tools
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libavdevice53 libavfilter3 libavresample1
Suggested packages:
  frei0r-plugins
The following NEW packages will be installed:
  libav-tools libavdevice53 libavfilter3 libavresample1
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 3,473 kB of archives.
After this operation, 10.2 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe libavdevice53 amd64 6:9.13-0ubuntu0.14.04.1 [32.2 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe libavresample1 amd64 6:9.13-0ubuntu0.14.04.1 [39.2 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe libavfilter3 amd64 6:9.13-0ubuntu0.14.04.1 [93.7 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe libav-tools amd64 6:9.13-0ubuntu0.14.04.1 [3,307 kB]
Fetched 3,473 kB in 2s (1,438 kB/s)
Selecting previously unselected package libavdevice53:amd64.
(Reading database ... 178156 files and directories currently installed.)
Preparing to unpack .../libavdevice53_6%3a9.13-0ubuntu0.14.04.1_amd64.deb ...
Unpacking libavdevice53:amd64 (6:9.13-0ubuntu0.14.04.1) ...
Selecting previously unselected package libavresample1:amd64.
Preparing to unpack .../libavresample1_6%3a9.13-0ubuntu0.14.04.1_amd64.deb ...
Unpacking libavresample1:amd64 (6:9.13-0ubuntu0.14.04.1) ...
Selecting previously unselected package libavfilter3:amd64.
Preparing to unpack .../libavfilter3_6%3a9.13-0ubuntu0.14.04.1_amd64.deb ...
Unpacking libavfilter3:amd64 (6:9.13-0ubuntu0.14.04.1) ...
Selecting previously unselected package libav-tools.
Preparing to unpack .../libav-tools_6%3a9.13-0ubuntu0.14.04.1_amd64.deb ...
dpkg: error: --compare-versions takes three arguments: <version> <relation> <version>

Type dpkg --help for help about installing and deinstalling packages [*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through 'less' or 'more' !
Unpacking libav-tools (6:9.13-0ubuntu0.14.04.1) ...
Processing triggers for man-db (2.6.7.1-1) ...
Setting up libavdevice53:amd64 (6:9.13-0ubuntu0.14.04.1) ...
Setting up libavresample1:amd64 (6:9.13-0ubuntu0.14.04.1) ...
Setting up libavfilter3:amd64 (6:9.13-0ubuntu0.14.04.1) ...
Setting up libav-tools (6:9.13-0ubuntu0.14.04.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6) ...

Reinhard Tartler (siretart) wrote :

Right, it seems that the broken debian/libav-tools.maintscript still made it into the trusty security branch.

Ubuntu security sponsors, does the patch of the linked branch qualify for an update in trusty-security? I see three options:

a) drop it, leave this bug open
b) upload it to trusty-security immediately
c) include it in the next security upload.

I'd prefer c > b > a. What do you think?

Changed in libav (Ubuntu Trusty):
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → Reinhard Tartler (siretart)
Marc Deslauriers (mdeslaur) wrote :

Since it's not a regression caused by the security update, you can:

1- SRU it
2- Include it in the next -security release

Since it's minor and cosmetic, I think #2 is reasonable.

Changed in libav (Ubuntu Trusty):
assignee: Reinhard Tartler (siretart) → nobody
status: In Progress → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libav - 6:9.14-0ubuntu0.14.04.1

---------------
libav (6:9.14-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * New upstream release 9.14:
    - Many security fixes issues LP: #1341216
    - adpcm: Write the proper predictor in trellis mode in IMA QT
    - adpcm: Avoid reading out of bounds in the IMA QT trellis encoder
    - Check mp3 header before calling avpriv_mpegaudio_decode_header() (bug/705)
    - Check if an mp3 header is using a reserved sample rate
    - lzo: Handle integer overflow (bug/704)
    - avconv: make -shortest work with streamcopy
  * Drop broken dpkg-maintscript, LP: #1315672
 -- Reinhard Tartler <email address hidden> Sat, 12 Jul 2014 18:33:45 -0400

Changed in libav (Ubuntu Trusty):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers